#include <stdio.h>

void t1 (int *pargc, char **pargv[])
{
  int i, argc = *pargc;
  char **argv = *pargv;

  printf ("argc: %d\n", argc);

  if (pargv)
    for (i = 0; i < argc; i++)
      printf ("argv[%d]: %s\n", i, argv[i]);
}
void t (int *pargc, char **pargv[])
{
  int i, argc = *pargc;
  char **argv = *pargv;

  printf ("argc: %d\n", argc);

  if (pargv)
    for (i = 0; i < argc; i++)
      printf ("argv[%d]: %s\n", i, argv[i]);
  t1(pargc, pargv);
}
int q (int *pargc, char ***pargv)
{
  int i, argc = *pargc;
  char **argv = *pargv;

  printf ("argc: %d\n", argc);

  if (pargv)
    for (i = 0; i < argc; i++)
      printf ("argv[%d]: %s\n", i, argv[i]);

}
void main (int argc, char *argv[])
{
  t (&argc, &argv);
  q (&argc, &argv);
}



